Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.modules.dnamaca
Class Dnamaca

    java.lang.Object
      pipe.modules.dnamaca.Dnamaca

All Implemented Interfaces:
  Module

public class Dnamaca
extends java.lang.Object
implements Module

Nested Class Summary
`(package private) class` | `Dnamaca.DnamacaRun`

Field Summary
`private javax.swing.JDialog` | `guiDialog`
`private javax.swing.JCheckBox` | `jcbCumulative`
`private javax.swing.JTextField` | `jtfSourceCondition`
`private javax.swing.JTextField` | `jtfTargetCondition`
`private javax.swing.JTextField` | `jtfTStart`
`private javax.swing.JTextField` | `jtfTStep`
`private javax.swing.JTextField` | `jtfTStop`
`private java.io.File` | `modFile`
`private java.lang.String` | `modString`
`private static java.lang.String` | `MODULE_NAME`
`private Place[]` | `places`
`private DataLayer` | `pnmldata`
`private javax.swing.JButton` | `resultsButton`
`private GraphPanelPane` | `resultsGraph`
`private java.util.ArrayList` | `resultsX`
`private java.util.ArrayList` | `resultsY`
`private ResultsHTMLPane` | `resultText`
`(package private) java.awt.event.ActionListener` | `runDnamacaAction`
`(package private) java.awt.event.ActionListener` | `runResultsAction`
`private Transition[]` | `transitions`
`private java.lang.String` | `urtaExecutablePath`
`private static java.lang.String[]` | `urtaStrings`

Constructor Summary
`Dnamaca()`

Method Summary
`void` | `displayResults()`
`private void` | `generateMod()`
`java.lang.String` | `getName()`
`private java.lang.String` | `getTransitionConditions(int transitionNum)`
`private boolean` | `getUrtaPath()`
`private boolean` | `hasTimed()`
`private void` | `initial()`
`private void` | `model()`
`private void` | `passageTime()`
`private void` | `performance()`
`void` | `run(DataLayer _pnmldata)`
`private void` | `stateVector()`
`private void` | `tokenDistribution()`
`private void` | `transitionMeasures()`
`private void` | `transitions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODULE_NAME

    private static final java.lang.String MODULE_NAME

See Also:
  Constant Field Values

### places

    private Place[] places

### transitions

    private Transition[] transitions

### pnmldata

    private DataLayer pnmldata

### modString

    private java.lang.String modString

### urtaStrings

    private static final java.lang.String[] urtaStrings

### modFile

    private java.io.File modFile

### guiDialog

    private javax.swing.JDialog guiDialog

### resultsButton

    private javax.swing.JButton resultsButton

### resultsX

    private java.util.ArrayList resultsX

### resultsY

    private java.util.ArrayList resultsY

### resultText

    private ResultsHTMLPane resultText

### resultsGraph

    private GraphPanelPane resultsGraph

### urtaExecutablePath

    private java.lang.String urtaExecutablePath

### jtfTargetCondition

    private javax.swing.JTextField jtfTargetCondition

### jtfSourceCondition

    private javax.swing.JTextField jtfSourceCondition

### jtfTStart

    private javax.swing.JTextField jtfTStart

### jtfTStop

    private javax.swing.JTextField jtfTStop

### jtfTStep

    private javax.swing.JTextField jtfTStep

### jcbCumulative

    private javax.swing.JCheckBox jcbCumulative

### runDnamacaAction

    java.awt.event.ActionListener runDnamacaAction

### runResultsAction

    java.awt.event.ActionListener runResultsAction

Constructor Detail

### Dnamaca

    public Dnamaca()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Module`

### run

    public void run(DataLayer _pnmldata)

  Specified by:
    `run` in interface `Module`

### displayResults

    public void displayResults()

### generateMod

    private void generateMod()

### model

    private void model()

### stateVector

    private void stateVector()

### initial

    private void initial()

### transitions

    private void transitions()

### performance

    private void performance()

### tokenDistribution

    private void tokenDistribution()

### transitionMeasures

    private void transitionMeasures()

### passageTime

    private void passageTime()

### getTransitionConditions

    private java.lang.String getTransitionConditions(int transitionNum)

### hasTimed

    private boolean hasTimed()

### getUrtaPath

    private boolean getUrtaPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD